<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ipc__pipe__macros" kind="group">
    <compoundname>group_ipc_pipe_macros</compoundname>
    <title>Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__ipc__pipe__macros_1gaef308bb8d8b51edcbb6efbec8a6eaf87" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_CFG_IMASK_Pos</name>
        <initializer>(16UL)</initializer>
        <briefdescription>
<para>Interrupts shift value for endpoint address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="102" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="102" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1gaae22d12f3bd5c47a1f52780cb0619c98" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_CFG_IMASK_Msk</name>
        <initializer>(0xFFFF0000UL)</initializer>
        <briefdescription>
<para>Interrupts mask for endpoint address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="103" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="103" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1ga88b97a1b463ca4f1c7c636e1a0103c45" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_CFG_INTR_Pos</name>
        <initializer>(8UL)</initializer>
        <briefdescription>
<para>IPC Interrupt shift value for endpoint address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="104" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="104" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1ga53010c9773541aba0dceb53aa513f5c5" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_CFG_INTR_Msk</name>
        <initializer>(0x0000FF00UL)</initializer>
        <briefdescription>
<para>IPC Interrupt mask for endpoint address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="105" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="105" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1ga4bd72f8ac7b4d27b1e55498666316597" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_CFG_CHAN_Pos</name>
        <initializer>(0UL)</initializer>
        <briefdescription>
<para>IPC Channel shift value for endpoint address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="106" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="106" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1ga3401ac0533dd69ee7026a187708646e7" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_CFG_CHAN_Msk</name>
        <initializer>(0x000000FFUL)</initializer>
        <briefdescription>
<para>IPC Channel mask for endpoint address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="107" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="107" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1ga71c92c61208e90739319153801decd82" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_MSG_CLIENT_Msk</name>
        <initializer>(0x000000FFul)</initializer>
        <briefdescription>
<para>Client mask for first word of Pipe message. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="111" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="111" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1ga80c3cc73a998e8ee5692de60948ed066" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_MSG_CLIENT_Pos</name>
        <initializer>(0ul)</initializer>
        <briefdescription>
<para>Client shift for first word of Pipe message. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="112" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="112" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1gae3b55c71570474e201246a85e017df70" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_MSG_USR_Msk</name>
        <initializer>(0x0000FF00ul)</initializer>
        <briefdescription>
<para>User data mask for first word of Pipe message. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="113" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="113" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1ga3404ffd6cd31868d865703a1db5cf48b" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_MSG_USR_Pos</name>
        <initializer>(8ul)</initializer>
        <briefdescription>
<para>User data shift for first word of Pipe message. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="114" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="114" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1ga44df0c7be6aaed9314785ee83f4bca07" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_MSG_RELEASE_Msk</name>
        <initializer>(0xFFFF0000ul)</initializer>
        <briefdescription>
<para>Mask for message release mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="115" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="115" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1ga1a3de20e14f0dc41bad5a02a7ae7d775" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_MSG_RELEASE_Pos</name>
        <initializer>(16UL)</initializer>
        <briefdescription>
<para>Shift require to line up mask to LSb. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="116" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="116" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1ga344b1c9981dc7cb82bd85b9520694662" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_ENDPOINT_BUSY</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>Use to set the busy flag when waiting for a release interrupt. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="119" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="119" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1gacd3725262cdc5b55cd44a366061ebd0b" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_ENDPOINT_NOTBUSY</name>
        <initializer>(0UL)</initializer>
        <briefdescription>
<para>Denotes that a release interrupt is not pending. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="121" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="121" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1ga25a61235b9cb877846b5fd4de336787c" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_RTN</name>
        <initializer>(0x0200ul)</initializer>
        <briefdescription>
<para>Software PDL driver ID for IPC pipe functions. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="190" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="190" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1gafe946c71c4d8dacd1e49ad610d4e0d72" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_ID_INFO</name>
        <initializer>(uint32_t)( <ref kindref="member" refid="group__group__ipc__macros_1gaca94e95050e9f6ad972c8d9fe3de70d0">CY_IPC_ID_INFO</ref>    | <ref kindref="member" refid="group__group__ipc__pipe__macros_1ga25a61235b9cb877846b5fd4de336787c">CY_IPC_PIPE_RTN</ref>)</initializer>
        <briefdescription>
<para>Return prefix for IPC pipe function status codes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="191" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="191" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1ga48131a54fc5a64a3aec1ac9f6dc4286c" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_ID_WARNING</name>
        <initializer>(uint32_t)( <ref kindref="member" refid="group__group__ipc__macros_1ga3dd639f2edc5ca00b5547a32d3ad57de">CY_IPC_ID_WARNING</ref> | <ref kindref="member" refid="group__group__ipc__pipe__macros_1ga25a61235b9cb877846b5fd4de336787c">CY_IPC_PIPE_RTN</ref>)</initializer>
        <briefdescription>
<para>Return prefix for IPC pipe function warning return values. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="192" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="192" />
      </memberdef>
      <memberdef id="group__group__ipc__pipe__macros_1ga8a2de63afa3decd68bdf4ba30082f9a1" kind="define" prot="public" static="no">
        <name>CY_IPC_PIPE_ID_ERROR</name>
        <initializer>(uint32_t)( <ref kindref="member" refid="group__group__ipc__macros_1ga3f7a70ed9127495bf0fa4ba8135c49ba">CY_IPC_ID_ERROR</ref>   | <ref kindref="member" refid="group__group__ipc__pipe__macros_1ga25a61235b9cb877846b5fd4de336787c">CY_IPC_PIPE_RTN</ref>)</initializer>
        <briefdescription>
<para>Return prefix for IPC pipe function error return values. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="193" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="193" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Macro definitions are used in the driver. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>